// #autoload
// #name = ZoomSnipe
// #version = 0.5
// #date = April 6, 2001
// #author = DarkOmen
// #email = wildbmxr@uswest.net
// #description = Zooms In, brings out Sniper Rifle, Zooms out and replaces weapon
// #status = finished
// #include = support/loadout.cs
// #readme = autoexec/zoomsnipe.txt
// ---------------------------------------------------------------------------
//
//

///Set this to what you want as the default when you unzoom in terms of 2x, 5x etc.
$DarkOmenDefault = 2;

	
function handleDOsnipefire() {
         use(SniperRifle);
}

function handleDOweaponback() {
         %weap = loadout.getPreviousWeapon();
         %curweap = loadout.getCurrentWeapon();
         if (%curweap !$= SniperRifle)
         {
         return;
         }
         else
             loadout.useWeapon(%weap);
}

function DarkOmenZoomsnipe(%val) { 
 	Zoomincheck(%val); 
	if (%val) handleDOsnipefire();
	else handleDOweaponback();
} 
function Zoomincheck( %val )
{
   if ( %val )
   {
      if(ZoomHud.isVisible())
      {
         cancel(ZoomHud.hideThread);
         hideZoomHud();
      }
      $ZoomOn = true;
      setFov( $pref::player::currentFOV );
   }
   else
   {
      $ZoomOn = false;
      setFov( $pref::Player::defaultFov );
   }
}

package DarkOmenZoomLoad {
	function OptionsDlg::onWake( %this )
	{
		if($DarkOmenZoomBind $= "false")
		{
			$RemapName[$RemapCount]="Zoom Snipe";
			$RemapCmd[$RemapCount]="DarkOmenZoomsnipe";
			$RemapCount++;
			$DarkOmenZoomBind = "true";
		}
		parent::onWake( %this );
	}
	function calcZoomFOV()
	{
	   //if($pref::player::currentFOV == $pref::player::defaultFov / 2)
	    //  $pref::player::currentFOV = $pref::player::defaultFov / 5;   
	   //else 
	      $pref::player::currentFOV = $pref::player::currentFOV / $DarkOmenDefault;   
	
	   if($pref::player::currentFOV < 4)
	      $pref::player::currentFOV = $pref::player::defaultFov / $DarkOmenDefault;                  
	   
	   if(!$ZoomOn)
	   {
	      %pos = getZoomCenter($pref::player::defaultFov / $pref::player::currentFOV);
	      %extent = getZoomExtent($pref::player::defaultFov / $pref::player::currentFOV);
	      ZoomHud.resize(getWord(%pos, 0), getWord(%pos, 1), getWord(%extent, 0), getWord(%extent, 1));
	      if(ZoomHud.hideThread != 0)
	         cancel(ZoomHud.hideThread);
	      ZoomHud.hideThread = schedule(5000, 0, hideZoomHud);
	      ZoomHud.setVisible(true);
	   }
	   else
	      setFov( $pref::player::currentFOV );
	}
	
};

activatePackage(DarkOmenZoomLoad);

$DarkOmenZoomBind = "false";

